Bug 52927 - [Bug in httpd 2.2.4] [error] (70014)End of file found: proxy: prefetch request body failed
Summary: [Bug in httpd 2.2.4] [error] (70014)End of file found: proxy: prefetch reques...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.4
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL: (70014)End of file found: proxy: pref...
Keywords: ErrorMessage, MassUpdate
Depends on:
Blocks:
 
Reported: 2012-03-16 11:29 UTC by kialex
Modified: 2018-11-07 21:10 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kialex 2012-03-16 11:29:57 UTC
Hello,

I have this bug in my httpd log 
[error] (70014)End of file found: proxy: prefetch request body failed
Could you tell me what you know about this bug ?

Thank you,
Ac
Comment 1 Eric Covener 2012-03-16 11:32:22 UTC
Error messages aren't bugs.  The message means the client closed the connection while mod_proxy was reading the request body.  Do you have any indication it wasn't?
Comment 2 kialex 2012-03-16 11:58:11 UTC
I don't know if this problem is a bug or not. 
However when i start the browser and i connect for the first time by pass the proxy, the link is broken two times and after it's works.

Then my httpd_error.log
[Fri Mar 16 09:24:44 2012] [error] (70014)End of file found: proxy: prefetch request body failed to 192.168.54.44:80 (192.168.54.44) from 172.23.68.81 ()
[Fri Mar 16 09:24:44 2012] [error] (70014)End of file found: proxy: prefetch request body failed to 192.168.54.44:80 (192.168.54.44) from 172.23.68.81 ()

And then my proxy configuration

<VirtualHost 192.168.51.60:80>
        ServerName docprint.faceo.com
        SSLProxyEngine On

        SetHandler perl-script
        PerlTransHandler Vulture::TransHandler
        PerlResponseHandler Vulture::ResponseHandler

        ProxyRequests Off
        ProxyVia Off
        ProxyPass / http://192.168.54.20
        ProxyPassReverse / http://192.168.54.20/
LogLevel warn
LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
ErrorLog /var/log/Vulture-docprint.faceo.com-error_log
CustomLog /var/log/Vulture-docprint.faceo.com-access_log combined

        <Location /static>
                SetHandler default-handler
        </Location>

        <Proxy *>
                SetHandler perl-script

                #Default mod_access config
AllowOverride None
Order deny,allow
Allow from all
        </Proxy>
</VirtualHost>

Have you got enought information to debug ?

Tnanks
Comment 3 kialex 2012-03-16 14:19:15 UTC
(In reply to comment #1)
> Error messages aren't bugs.  The message means the client closed the connection
> while mod_proxy was reading the request body.  Do you have any indication it
> wasn't?

Hello Eric

Thanks your for your time
So to explain you exactly my problem, I use the Apache HTTP Server 2.2.4 with the module mod_proxy which supports pooled connections to a backend server. 

In my proxy, i have this configuration

    Timeout 300
    KeepAlive On
    MaxKeepAliveRequests 100
    KeepAliveTimeout 15

    ProxyRequests Off
    ProxyVia Off
    ProxyPass / http://192.168.54.20
    ProxyPassReverse / http://192.168.54.20/

        </Proxy>
</VirtualHost>

However the link between the Apache httpd server and the backend server broks two times and after it's works.

Then my httpd_error.log
[Fri Mar 16 09:24:44 2012] [error] (70014)End of file found: proxy: prefetch
request body failed to 192.168.54.44:80 (192.168.54.44) from 172.23.68.81 ()
[Fri Mar 16 09:24:44 2012] [error] (70014)End of file found: proxy: prefetch
request body failed to 192.168.54.44:80 (192.168.54.44) from 172.23.68.81 ()

Could you tell if i can reduce the number of link broken ?
Thanks,
AC
Comment 4 Eric Covener 2012-03-16 14:22:53 UTC
No clue, if you want to discuss things you have to use a mailing list.  Bugzilla is for reporting bugs.
Comment 5 vino.lalith 2015-11-02 17:28:59 UTC
Getting random error messages in apache log as listed below

Sun Nov 01 20:31:29 2015] [error] (70014)End of file found: proxy: prefetch request body failed to xx.xx.xxx.xx:8080 (server.com) from xxx.xxx.xxx.xxx ()
[Sun Nov 01 20:46:01 2015] [error] (70014)End of file found: proxy: prefetch requestbody failed to xx.xx.xxx.xx:8080 (server.com) from xxx.xxx.xxx.xxx ()
[Sun Nov 01 21:08:16 2015] [error] (70014)End of file found: proxy: prefetch requestbody failed to xx.xx.xxx.xx:8080 (server.com) from xxx.xxx.xxx.xxx ()
[Sun Nov 01 23:06:28 2015] [error] (70014)End of file found: proxy: prefetch requestbody failed to xx.xx.xxx.xx:8080 (server.com) from xxx.xxx.xxx.xxx ()
Comment 6 William A. Rowe Jr. 2018-11-07 21:10:03 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.